eslint-config-react-native-matipl01
TypeScript icon, indicating that this package has built-in type declarations

3.0.2 • Public • Published

eslint-config-react-native-matipl01

[!IMPORTANT]
Some plugins used in this config haven't been adjusted to work with ESLint v9 yet. Stick with ESLint v8 if you want all rules to be enabled.

npm version

ESLint and TypeScript configuration used in my React Native projects.

Prerequisites

To use this config in a project, you should install eslint and typescript libraries yourself in your project.

Installation

  • yarn
yarn add -D eslint-config-react-native-matipl01
  • npm
npm install eslint-config-react-native-matipl01 --save-dev

Usage

ESLint (v9 and newer)

Extend this config in your eslint configuration file (more information about eslint configuration file formats is in docs):

// eslint.config.js
import eslintConfig from 'eslint-config-react-native-matipl01'

export default eslintConfig

You can add your custom configs in the following way:

// eslint.config.js
import eslintConfig from 'eslint-config-react-native-matipl01'

export default [
  ...eslintConfig,
  // <custom config>
]

ESLint (before v9)

The old eslint API will be no longer supported. Install old version of the package to use it with older ESLint versions (the latest supporting ESLint 8 is 2.1.0)

[!NOTE]
If you use a custom prettier config, eslint will show suggestions based on your prettier configuration stored in the .pretterrc file.

TypeScript

Extend the TypeScript config in your tsconfig.json file:

{
  "extends": "eslint-config-react-native-matipl01/tsconfig.base"
}

Readme

Keywords

none

Package Sidebar

Install

npm i eslint-config-react-native-matipl01

Weekly Downloads

8

Version

3.0.2

License

MIT

Unpacked Size

22.2 kB

Total Files

7

Last publish

Collaborators

  • matipl01